﻿using System.Windows.Controls;
using System.Windows.Documents;

namespace WBP_O3_API_Demo
{
    public static class Extention
    {
        public static void SetText(this RichTextBox richTextBox, string Text)
        {
            richTextBox.Document.Blocks.Clear();
            richTextBox.Document.Blocks.Add(new Paragraph(new Run(Text)));
        }
        public static string GetText(this RichTextBox richTextBox)
        {
            return new TextRange(richTextBox.Document.ContentStart, richTextBox.Document.ContentEnd).Text;
        }
        public static void Clear(this RichTextBox richTextBox)
        {
            richTextBox.SetText(null);
        }
    }
}
